package com.example.edit;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;

public class MainActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState); // 调用父类的onCreate方法
        EdgeToEdge.enable(this); // 启用边缘到边缘的显示模式
        setContentView(R.layout.activity_main); // 设置布局文件为activity_main

        // 获取布局中的按钮和编辑文本视图
        Button btn = findViewById(R.id.btn);
        EditText et = findViewById(R.id.et);

        // 设置按钮的点击事件监听器
        btn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                // 获取编辑文本中的内容
                String name = et.getText().toString();
                // 打印输入的名称到日志
                Log.e("EditView", "input name: " + name);
            }
        });
    }
}